{"openapi":"3.0.4","info":{"title":"Get the specified system configuration sets, including all their associated metadata. By default secrets will not be revealed\nAll users have access to this endpoint","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/configuration"}],"paths":{"/api/sets/system/{code}":{"get":{"tags":["ConfigurationSets"],"summary":"Get the specified system configuration sets, including all their associated metadata. By default secrets will not be revealed\nAll users have access to this endpoint","operationId":"GetSystemConfigurationSets","parameters":[{"name":"code","in":"path","description":"The code that identifies a system configuration set","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"reveal","in":"query","description":"Whether to reveal the secrets","schema":{"type":"boolean"},"x-nullable":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/ResourceListOfConfigurationSet"},"example":{"values":[{"createdAt":"0001-01-01T00:00:00.0000000+00:00","createdBy":"user","lastModifiedAt":"0001-01-01T00:00:00.0000000+00:00","lastModifiedBy":"user","description":"Shared System configuration A","items":[{"key":"password","value":"a super secret password","valueType":"text","isSecret":true,"ref":"config://shared/system/system-config-set-a/password","blockReveal":false}],"id":{"scope":"system","code":"system-config-set-a"},"type":"shared"},{"createdAt":"0001-01-01T00:00:00.0000000+00:00","createdBy":"user","lastModifiedAt":"0001-01-01T00:00:00.0000000+00:00","lastModifiedBy":"user","description":"Personal System configuration A","items":[{"key":"password","value":"a super secret password","valueType":"text","isSecret":true,"ref":"config://personal//system/system-config-set-a/password","blockReveal":false}],"id":{"scope":"system","code":"system-config-set-a"},"type":"personal"}],"links":[]}},"text/plain":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/ResourceListOfConfigurationSet"},"example":{"values":[{"createdAt":"0001-01-01T00:00:00.0000000+00:00","createdBy":"user","lastModifiedAt":"0001-01-01T00:00:00.0000000+00:00","lastModifiedBy":"user","description":"Shared System configuration A","items":[{"key":"password","value":"a super secret password","valueType":"text","isSecret":true,"ref":"config://shared/system/system-config-set-a/password","blockReveal":false}],"id":{"scope":"system","code":"system-config-set-a"},"type":"shared"},{"createdAt":"0001-01-01T00:00:00.0000000+00:00","createdBy":"user","lastModifiedAt":"0001-01-01T00:00:00.0000000+00:00","lastModifiedBy":"user","description":"Personal System configuration A","items":[{"key":"password","value":"a super secret password","valueType":"text","isSecret":true,"ref":"config://personal//system/system-config-set-a/password","blockReveal":false}],"id":{"scope":"system","code":"system-config-set-a"},"type":"personal"}],"links":[]}},"text/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/ResourceListOfConfigurationSet"},"example":{"values":[{"createdAt":"0001-01-01T00:00:00.0000000+00:00","createdBy":"user","lastModifiedAt":"0001-01-01T00:00:00.0000000+00:00","lastModifiedBy":"user","description":"Shared System configuration A","items":[{"key":"password","value":"a super secret password","valueType":"text","isSecret":true,"ref":"config://shared/system/system-config-set-a/password","blockReveal":false}],"id":{"scope":"system","code":"system-config-set-a"},"type":"shared"},{"createdAt":"0001-01-01T00:00:00.0000000+00:00","createdBy":"user","lastModifiedAt":"0001-01-01T00:00:00.0000000+00:00","lastModifiedBy":"user","description":"Personal System configuration A","items":[{"key":"password","value":"a super secret password","valueType":"text","isSecret":true,"ref":"config://personal//system/system-config-set-a/password","blockReveal":false}],"id":{"scope":"system","code":"system-config-set-a"},"type":"personal"}],"links":[]}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"404":{"description":"No system configuration set exists with the provided identifiers","content":{"application/json":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}